package com.android.common.manager;

/**
 * @author 910040
 * @version 1.0
 * @date 2018/11/13
 */
public interface ConfigParse<T> {

    /**
     * 解析对象成
     * @param str 配置文件读取的信息
     * @return
     */
    T parse2Object(String str);

    /**
     * 把对象还原成文本格式，用于更新配置文件
     * @param object
     * @return
     */
    String parse2String(T object);

    /**
     * 更新配置文件规则，不更新返回false
     * @param userConfig 读取的user下的配置信息
     * @return
     */
    boolean isUpdateFile(T userConfig);

}
